Galon Cloud
Galon API v1

/builds

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /builds

Build a web application

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
Idempotency-Keyheaderstring · required

Request body

application/json · schema BuildCreate

FieldTypeDescription
planobject · required

Responses

StatusDescriptionBody
202Build acceptedBuildCreateResponse
403scope_missing (build:create)
409idempotency_conflict
422build_plan_invalid or build_plan_unresolved
503job_projection_invalid: the server refuses to publish a result that does not satisfy its closed public schemaError

Examples

curl

curl -X POST "$GALON_API_BASE/builds" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{"plan": {}}'

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.builds.create({"plan": {}}, { idempotencyKey: "<unique-key>" });

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.builds.create({"plan": {}}, idempotency_key="<unique-key>")